org.apache.maven.scm.provider.git.gitexe.command.diff

## Class GitDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.diff.GitDiffCommand

All Implemented Interfaces:
  Command, GitCommand

    public class GitDiffCommand
    extends AbstractDiffCommand
    implements GitCommand

Author:
  Mark Struberg

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitDiffCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(File workingDirectory, ScmVersion startVersion, ScmVersion endVersion, boolean cached)`
`static org.codehaus.plexus.util.cli.Commandline` `createDiffRawCommandLine(File workingDirectory, String sha1)` Create a CommandLine for executing a git diff --raw command.
`protected DiffScmResult` `executeDiffCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion)`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitDiffCommand

    public GitDiffCommand()

### Method Detail

#### executeDiffCommand

    protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                               ScmFileSet fileSet,
                                               ScmVersion startVersion,
                                               ScmVersion endVersion)
                                        throws ScmException

Specified by:
  `executeDiffCommand` in class `AbstractDiffCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(File workingDirectory,
                                                                             ScmVersion startVersion,
                                                                             ScmVersion endVersion,
                                                                             boolean cached)

Parameters:
  `cached` - if `true` diff the index to the head, else diff the tree to the index

#### createDiffRawCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createDiffRawCommandLine(File workingDirectory,
                                                                                    String sha1)

Create a CommandLine for executing a git diff --raw command. This will output all affected files affected since the given commit and the current version.

Parameters:
  `workingDirectory` -